# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionInterner

Packages that use CDORevisionInterner
Package
Description
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionInterner in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return CDORevisionInterner
Modifier and Type
Method
Description
`CDORevisionInterner`
CDOExtentCreator.`getRevisionInterner()`
Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDORevisionInterner
Modifier and Type
Method
Description
`void`
CDOExtentCreator.`setRevisionInterner(CDORevisionInterner revisionInterner)`

## Uses of CDORevisionInterner in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionInterner in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevisionCache`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisionInterner
Modifier and Type
Class
Description
`class`
`DelegatingCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...